<?php

class SibsTerminais extends ObjectModel
{
    public $terminal_code;

    public $id_sibs_order_ref_category;

    public $position;

    public $active;

    public static $definition = [
        'table'     => 'sibs_terminal',
        'primary'   => 'id',
        'multilang' => false,
        'fields'    => [
            'terminal_code'            => ['type' => self::TYPE_INT, 'validate' => 'isNullOrUnsignedId', 'size' => 10],
            'bearer_token'             => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 200],
            'client_id'                => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 32],
            'webhook'                  => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 500],
            'environment'              => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],
            'currency'                 => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 50],

        ],
    ];
}
