{*
 * 2007-2019 PrestaShop SA and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{if $module == "sibs"}
	{if !empty($successMessage)}
		<div class="alert alert-success">
			<button type="button" class="close" data-dismiss="alert">×</button>

			{if $successMessage == "capture"}
				{if {l s='SUCCESS_GENERAL_CAPTURE_PAYMENT' mod='sibs'} == "SUCCESS_GENERAL_CAPTURE_PAYMENT"}
					Your attempt to capture the payment success.
				{else}
					{l s='SUCCESS_GENERAL_CAPTURE_PAYMENT' mod='sibs'}
				{/if}
			{/if}

			{if $successMessage == "update_order"}
				{if {l s='SUCCESS_GENERAL_UPDATE_PAYMENT' mod='sibs'} == "SUCCESS_GENERAL_UPDATE_PAYMENT"}
					The payment status has been successfully updated.
				{else}
					{l s='SUCCESS_GENERAL_UPDATE_PAYMENT' mod='sibs'}
				{/if}
			{/if}

			{if $successMessage == "refund"}
				{if {l s='SUCCESS_GENERAL_REFUND_PAYMENT' mod='sibs'} == "SUCCESS_GENERAL_REFUND_PAYMENT"}
					Your attempt to refund the payment success.
				{else}
					{l s='SUCCESS_GENERAL_REFUND_PAYMENT' mod='sibs'}
				{/if}
			{/if}

			{if $successMessage == "new_order"}
				{if {l s='SUCCESS_BACKEND_ORDER' mod='sibs'} == "SUCCESS_BACKEND_ORDER"}
					Your order has been successfully created.
				{else}
					{l s='SUCCESS_BACKEND_ORDER' mod='sibs'}
				{/if}
			{/if}

			{if $successMessage == "cancel"}
				{if {l s='SUCCESS_GENERAL_PAYMENT_CANCELED' mod='sibs'} == "SUCCESS_GENERAL_PAYMENT_CANCELED"}
					Your order has been successfully canceled.
				{else}
					{l s='SUCCESS_GENERAL_PAYMENT_CANCELED' mod='sibs'}
				{/if}
			{/if}

		</div>
	{/if}

	{if !empty($errorMessage)}
		<div class="alert alert-danger">
			<button type="button" class="close" data-dismiss="alert">×</button>

			{if $errorMessage == "capture"}
				{if {l s='ERROR_GENERAL_CAPTURE_PAYMENT' mod='sibs'} == "ERROR_GENERAL_CAPTURE_PAYMENT"}
					Unfortunately, your attempt to capture the payment failed.
				{else}
					{l s='ERROR_GENERAL_CAPTURE_PAYMENT' mod='sibs'}
				{/if}
			{/if}

			{if $errorMessage == "update_order"}
				{if {l s='ERROR_UPDATE_BACKEND' mod='sibs'} == "ERROR_UPDATE_BACKEND"}
					Order status can not be updated.
				{else}
					{l s='ERROR_UPDATE_BACKEND' mod='sibs'}
				{/if}
			{/if}

			{if $errorMessage == "refund"}
				{if {l s='ERROR_GENERAL_REFUND_PAYMENT' mod='sibs'} == "ERROR_GENERAL_REFUND_PAYMENT"}
					Unfortunately, your attempt to refund the payment failed.
				{else}
					{l s='ERROR_GENERAL_REFUND_PAYMENT' mod='sibs'}
				{/if}
			{/if}
			
		</div>
	{/if}
{/if}
